petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetUp

Prepares the line search for being applied by allocating any required vectors.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetUp(SNESLineSearch linesearch)

Collective on SNESLineSearch Many br

### Input Parameters

linesearch -The LineSearch instance. Many br

### Notes

For most cases, this needn't be called by users or outside of SNESLineSearchApply(). Many brThe only current case where this is called outside of this is for the VI Many brsolvers, which modify the solution and work vectors before the first call Many brof SNESLineSearchApply, requiring the SNESLineSearch work vectors to be Many brallocated upfront. Many br

Many br

### Keywords

SNESLineSearch, SetUp

### See Also

SNESLineSearchReset()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages